package com.sun.jmx.snmp;

import java.io.Serializable;

public class SnmpEngineParameters implements Serializable
{
    private static final long serialVersionUID = 3720556613478400808L;
    private UserAcl uacl;
    private String securityFile;
    private boolean encrypt;
    private SnmpEngineId engineId;
    
    public SnmpEngineParameters() {
        this.uacl = null;
        this.securityFile = null;
        this.encrypt = false;
        this.engineId = null;
    }
    
    public void setSecurityFile(String securityFile) {
        this.securityFile = securityFile;
    }
    
    public String getSecurityFile() {
        return this.securityFile;
    }
    
    public void setUserAcl(UserAcl uacl) {
        this.uacl = uacl;
    }
    
    public UserAcl getUserAcl() {
        return this.uacl;
    }
    
    public void activateEncryption() {
        this.encrypt = true;
    }
    
    public void deactivateEncryption() {
        this.encrypt = false;
    }
    
    public boolean isEncryptionEnabled() {
        return this.encrypt;
    }
    
    public void setEngineId(SnmpEngineId engineId) {
        this.engineId = engineId;
    }
    
    public SnmpEngineId getEngineId() {
        return this.engineId;
    }
}
